com.hazelcast.config

## Class AbstractDomConfigProcessor

- java.lang.Object
- - com.hazelcast.config.AbstractDomConfigProcessor

- All Implemented Interfaces:
    DomConfigProcessor

      public abstract class AbstractDomConfigProcessor
      extends Object
      implements DomConfigProcessor

  Base class of the config processors working from W3C DOM objects

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `occurrenceSet` Set collecting already seen elements.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractDomConfigProcessor(boolean domLevel3)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillDataSerializableFactories(Node node, SerializationConfig serializationConfig)`
    `protected void` | `fillJavaSerializationFilter(Node node, SerializationConfig serializationConfig)`
    `protected void` | `fillNativeMemoryConfig(Node node, NativeMemoryConfig nativeMemoryConfig)`
    `protected void` | `fillPortableFactories(Node node, SerializationConfig serializationConfig)`
    `protected void` | `fillProperties(Node node, Map<String,Comparable> properties)`
    `protected void` | `fillProperties(Node node, Properties properties)`
    `protected void` | `fillSerializers(Node node, SerializationConfig serializationConfig)`
    `protected String` | `getAttribute(Node node, String attName)`
    `protected String` | `getTextContent(Node node)`
    `protected ClassFilter` | `parseClassFilterList(Node node)`
    `protected SerializationConfig` | `parseSerialization(Node node)`
    `protected SocketInterceptorConfig` | `parseSocketInterceptorConfig(Node node)`
    `protected SSLConfig` | `parseSslConfig(Node node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.config.DomConfigProcessor

      `buildConfig`

- - ### Field Detail

    - #### occurrenceSet

          protected final Set<String> occurrenceSet

      Set collecting already seen elements. Used to detect duplicates in the configurations.

  - ### Constructor Detail

    - #### AbstractDomConfigProcessor

          protected AbstractDomConfigProcessor(boolean domLevel3)

  - ### Method Detail

    - #### getTextContent

          protected String getTextContent(Node node)

    - #### getAttribute

          protected String getAttribute(Node node,
                                        String attName)

    - #### fillProperties

          protected void fillProperties(Node node,
                                        Map<String,Comparable> properties)

    - #### fillProperties

          protected void fillProperties(Node node,
                                        Properties properties)

    - #### parseSocketInterceptorConfig

          protected SocketInterceptorConfig parseSocketInterceptorConfig(Node node)

    - #### parseSerialization

          protected SerializationConfig parseSerialization(Node node)

    - #### fillDataSerializableFactories

          protected void fillDataSerializableFactories(Node node,
                                                       SerializationConfig serializationConfig)

    - #### fillPortableFactories

          protected void fillPortableFactories(Node node,
                                               SerializationConfig serializationConfig)

    - #### fillSerializers

          protected void fillSerializers(Node node,
                                         SerializationConfig serializationConfig)

    - #### fillJavaSerializationFilter

          protected void fillJavaSerializationFilter(Node node,
                                                     SerializationConfig serializationConfig)

    - #### parseClassFilterList

          protected ClassFilter parseClassFilterList(Node node)

    - #### parseSslConfig

          protected SSLConfig parseSslConfig(Node node)

    - #### fillNativeMemoryConfig

          protected void fillNativeMemoryConfig(Node node,
                                                NativeMemoryConfig nativeMemoryConfig)

Copyright © 2020. All rights reserved.